article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary{display:block;}audio,canvas,video{display:inline-block;}audio:not([controls]){display:none;height:0;}[hidden]{display:none;}html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%;}body{margin:0;}a:focus{outline:thin dotted;}a:active,a:hover{outline:0;}h1{font-size:2em;margin:0.67em 0;}abbr[title]{border-bottom:1px dotted;}b,strong{font-weight:bold;}dfn{font-style:italic;}hr{-moz-box-sizing:content-box;box-sizing:content-box;height:0;}mark{background:#ff0;color:#000;}code,kbd,pre,samp{font-family:monospace,serif;font-size:1em;}pre{white-space:pre-wrap;}q{quotes:"\201C" "\201D" "\2018" "\2019";}small{font-size:80%;}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline;}sup{top:-0.5em;}sub{bottom:-0.25em;}img{border:0;}svg:not(:root){overflow:hidden;}figure{margin:0;}fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:0.35em 0.625em 0.75em;}legend{border:0;padding:0;}button,input,select,textarea{font-family:inherit;font-size:100%;margin:0;}button,input{line-height:normal;}button,select{text-transform:none;}button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer;}button[disabled],html input[disabled]{cursor:default;}input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0;}input[type="search"]{-webkit-appearance:textfield;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box;}input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{-webkit-appearance:none;}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0;}textarea{overflow:auto;vertical-align:top;}table{border-collapse:collapse;border-spacing:0;}
*,
*::after,
*::before {
	box-sizing: border-box;
}

:root {
	font-size: 16px;
}

/* Hide scrollbar for Chrome, Safari and Opera */
html *::-webkit-scrollbar {
 /* display: none; */
}

pre::-webkit-scrollbar {
    height: 1.5ex;
    -webkit-border-radius: 0ex;
}

pre::-webkit-scrollbar-thumb {

}

::-webkit-scrollbar {
    width: 2px;
    height: 2px
}

::-webkit-scrollbar-track {
    /*background: rgba(0,0,0,0.3)*/
}

::-webkit-scrollbar-thumb {
    background: rgba(255,255,255,0.6)
}

::-webkit-scrollbar-thumb:window-inactive {
    /*background: rgba(0,0,0,0.6)*/
}

p{
  margin-top: 0;
}


body {
	--color-text: #ddd;
	--color-bg: #000;
	--color-link: #bbb;
	--color-link-hover: #fff;
	color: var(--color-text);
	background: var(--color-bg);
	font-family: sulphur_pointlight, Arial, sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;


	background: #000;
	margin: 0;
	overflow: hidden; 
	/* cursor: none; */
}

#texture{
	visibility: hidden; 
	display:none;
}

a {
	text-decoration: none;
	color: var(--color-link);
	outline: none;
}

a:hover,
a:focus {
	color: var(--color-link-hover);
	outline: none;
}

.frame {
	padding: 3rem 5vw;
	text-align: center;
	position: relative;
	z-index: 1000;
}

.frame__title {
	font-size: 1rem;
	margin: 0 0 1rem;
	font-weight: normal;
}

.frame__links {
	display: inline;
}

.frame a {
	text-transform: lowercase;
}

.frame__github,
.frame__links a:not(:last-child),
.frame__demos a:not(:last-child) {
	margin-right: 1rem;
}

.content {
	display: flex;
	flex-direction: column;
	width: 100vw;
	height: calc(100vh - 13rem);
	position: relative;
	justify-content: flex-start;
	align-items: center;
}

.cursor__inner {
    z-index: 9999;
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
    mix-blend-mode: difference;
    border-radius: 50%;
}

.cursor__inner--circle {
    width: 40px;
    height: 40px;
    top: -20px;
    left: -20px;
    border: 1px solid #fff;
}

.cursor__inner--dot {
    width: 4px;
    height: 4px;
    top: -2px;
    left: -2px;
    background: #fff;
}

.startpage{
  position: absolute;
  width: 100%;
  height: 100%;
  background: black;
  display: flex;
  align-items: center;
    flex-wrap: wrap;
        justify-content: center;
        z-index: 100;
        font-size: 1.5em;
}

.startcontent{
  opacity: 0;
}

.vellum{
  position: absolute;
  width: 100%;
  height: 100%;
  background: transparent;
}

.narrative{
	font-size: 0.8em;
	text-align: center;
	width:75%;
	margin: auto;
}


.help{
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    height: 100%;
    width:100%;
    pointer-events: none;    
}

.help .hcont{
    max-width: 60%;
    text-align: center;
    font-size: 1.3em;
    flex: 1;
    text-shadow: 2px 2px 5px #000, -2px -2px 5px #000, 2px -2px 5px #000, -2px 2px 5px #000, 2px 2px 5px #000;
}

.helpbut{
    right: 1.6em;
    position: absolute;
    bottom: 1.65em;
  } 

.sharebut {
    right: 1.6em;
    position: absolute;
    top: 1.65em;
}

.backbut{
    position: absolute;
    bottom: 1.65em;
    left: 1.6em;
}

.helpbut circle{
stroke:#ffffff;
}  

.helpbut text{
fill:#ffffff;
} 

.but{
    width: 2.5em;
    height: 2.5em;
    pointer-events: all;
    cursor: pointer;    
}


.cBut{
    cursor: pointer; 
}

@keyframes rotation_f {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}

@keyframes rotation_b {
  from {
    transform: rotate(359deg);
  }
  to {
    transform: rotate(0deg);
  }
}


.startmandala{
width:40%;
} 

.startmandala #Layer_1{
  animation: rotation_f 100s infinite linear;
  transform-origin: center center;
}

.startmandala #Layer_2{
  animation: rotation_b 100s infinite linear;
  transform-origin: center center;
}

.startmandala #Layer_3{
  animation: rotation_f 100s infinite linear;
  transform-origin: center center;
}

.startmandala #Layer_4{
  animation: rotation_b 100s infinite linear;
  transform-origin: center center;
}

.startmandala #Layer_5{
  animation: rotation_f 100s infinite linear;
  transform-origin: center center;
}

.startmandala #Layer_6{
  animation: rotation_b 100s infinite linear;
  transform-origin: center center;
}

.startmandala #Layer_7{
  animation: rotation_f 100s infinite linear;
  transform-origin: center center;
}


.maintitle{
pointer-events: none;  
position: absolute;      
	 margin: auto;
     top: 0;
     right: 0;
     bottom: 0;
     left: 0; 
     font-size: 2em;
     height: 50px;
	width:100%;
	text-align: center;

   text-shadow:
       2px 2px 5px #000,
     -2px -2px 5px #000,  
      2px -2px 5px #000,
      -2px 2px 5px #000,
       2px 2px 5px #000;
}

.sidetitle{
	position: absolute;      
	margin: auto;
     right: 0;
     bottom: 0;
     left: 0; 
         font-size: 1.5em;
     height: 50px;
	width:100%;
	text-align: center;	
	   text-shadow:
       2px 2px 5px #000,
     -2px -2px 5px #000,  
      2px -2px 5px #000,
      -2px 2px 5px #000,
       2px 2px 5px #000;
       
    text-transform: uppercase;
        pointer-events: none;
}

.nav{
	position: absolute;
	height: 0%;
	width: 100%;
	background: rgba(0,0,0,0.6);
	border-bottom: 0px white solid;
}

.share{
  position: absolute;
  height: 0%;
  width: 100%;
  background: rgba(0,0,0,0.6);
  border-bottom: 0px white solid;
      display: flex;
    align-items: center;
    justify-content: center;
}

.sharein{
  display: none;
  opacity: 0;
}

.about, .credits{
  position: absolute;
    height: 0%;
    width: 100%;
    background: rgba(0,0,0,0.6);
    border-bottom: 0px white solid;
}

.aboutin, .creditsin{
  padding: 8em;
  padding-top: 9em;
   display: none;
}




.scroller{
    overflow-y: scroll;
    height: 60vh;
    padding-right: 1em;
        font-size: 1.2em;
}

.textclosebut{
    position: absolute;
    right: 4em;
    top: 9em;
}

.menu {
  width: 100%;
  text-align: center;
  padding-top: 9em;
  font-size: 1.2em;
  line-height: 2em;
  display: none;
  text-shadow: 2px 2px 5px #000, -2px -2px 5px #000, 2px -2px 5px #000,
    -2px 2px 5px #000, 2px 2px 5px #000;
}

.menuBut {
      cursor: pointer;
}

.menu h1 {
  font-size: 1.2em;
  font-weight: normal;
  margin: 0;
  padding: 0;
  padding-bottom: 0.5em;
  line-height: 0.7em;
}

.menu_flex {
  display: flex;
}
.menu_l {
  float: left;
  text-align: right;
  width: 48%;
  padding: 0.5em;
  padding-top: 0em;
  /* border-right: 1px solid; */
}

.menu_dots {
  /* position: absolute; */
  line-height: 1.85em;
  float: center;
  width: 4%;
  padding: 0em;
  padding-top: 0em;
}

.menu_r {
  float: right;
  text-align: left;
  width: 48%;
  padding: 0.5em;
  padding-top: 0em;
}

@keyframes dash {
  to {
    stroke-dashoffset: 0;
  }
}


@media screen and (min-width: 53em) {
	.frame {
		position: fixed;
		text-align: left;
		z-index: 10000;
		top: 0;
		left: 0;
		display: grid;
		align-content: space-between;
		width: 100%;
		max-width: none;
		height: 100vh;
		padding: 3rem;
		pointer-events: none;
		grid-template-columns: 75% 25%;
		grid-template-rows: auto auto auto;
		grid-template-areas: 'title links'
							'... ...'
							'github demos';
	}
	.frame__title-wrap {
		grid-area: title;
		display: flex;
	}
	.frame__title {
		margin: 0;
	}
	.frame__tagline {
		position: relative;
		margin: 0 0 0 1rem;
		padding: 0 0 0 1rem;
		opacity: 0.5;
	}
	.frame__github {
		grid-area: github;
		justify-self: start;
		margin: 0;
	}
	.frame__links {
		grid-area: links;
		padding: 0;
		justify-self: end;
	}
	.frame a {
		pointer-events: auto;
	}
	.content {
		height: 100vh;
		justify-content: center;
	}
}


.float-left{
	float:left;
}

.float-right{
	float:right;
}

.uppercase{
	    text-transform: uppercase;
}

.ir {
    background-color: transparent;
    border: 0;
    overflow: hidden;
    *text-indent: -9999px;
}

.ir:before {
    content: "";
    display: block;
    width: 0;
    height: 150%;
}

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}

.fade {
-webkit-transition: opacity 1400ms ease; 
-moz-transition: opacity 1400ms ease; 
transition: opacity 1400ms ease;
/*-webkit-transform: translatez(0);
transform: translatez(0);*/
opacity:1;
}

.animall {
-webkit-transition: all 400ms ease-in-out; 
-moz-transition: all 400ms ease-in-out; 
transition: all 400ms ease-in-out;
}

.op0{
opacity:0;
}

.op1{
opacity:1;
}

.op02{
opacity:0.2;
}

.op03{
opacity:0.3;
}

.op04{
opacity:0.4;
}

.op05{
opacity:0.5;
}

.mtoggle{
    cursor: pointer;
    font-size: 30px;
    text-align: center;
    /*
	padding: 0.6em;
    padding-right: 0em;
        z-index: 8;
	*/

   /* cursor: pointer; */
    display: none;
    /*display: inline-block;*/
    font-style: normal;
    font-weight: normal;
    float: right;
    text-decoration: none;
    position: absolute;


 	margin: 0.6em auto auto;
 	margin-top: 2.5em;
    top: 0px;
    right: 0px;
    left: 0px;  
    width: 30px;
    height: 30px; 

        text-shadow: 2px 2px 5px #000, -2px -2px 5px #000, 2px -2px 5px #000, -2px 2px 5px #000, 2px 2px 5px #000;
}

.mtoggle:hover {
    color:var(--color-link-hover);
}


.mtoggle:after {
    font-family: "navigation"; 
    content: "\e809"; /*802 80a 80b 80c */
    /*font-size: 1.7em;*/

}

/*
Video
 */

#videodiv{
top:0px; 
left: 0px; 
position:fixed; 
z-index:50; 
    display: flex;
    align-items: center;
    justify-content: center;
}


#videobuttons{
position:absolute;
padding-left: 2em;
}

#progressbuttons{
position:absolute;
z-index: 2;
width: 40%;
}


#videoholder{
    position:absolute;
}


#storydiv{
	position: absolute;
    margin: auto;
    width:100%;
    height:100%;
    text-anchor: middle;
    pointer-events: none;
    display:none;
}

.svgtxt{
        fill: #fff;
}

.svgtxt2{
        fill: #fff;
        font-size: 0.6em;
}


@-webkit-keyframes rotating /* Safari and Chrome */ {
  from {
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes rotating {
  from {
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -ms-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
.rotating {
  -webkit-animation: rotating 8s linear infinite;
  -moz-animation: rotating 8s linear infinite;
  -ms-animation: rotating 8s linear infinite;
  -o-animation: rotating 8s linear infinite;
  animation: rotating 8s linear infinite;
}



.linework{fill: transparent;stroke:#FFFFFF;stroke-miterlimit:10;}
#sc{pointer-events: fill;}


/* ==========================================================================
   Helper classes
   ========================================================================== */

.ir {
    background-color: transparent;
    border: 0;
    overflow: hidden;
    *text-indent: -9999px;
}

.ir:before {
    content: "";
    display: block;
    width: 0;
    height: 150%;
}

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}


.menu_dots svg{
  width: 2em;
  height: 1.3em;
}


@media only screen and (max-width:768px) { /* IPAD portrait */
:root {
  font-size: 12px;
}
.menu_dots svg{
  width: 1.2em;
  height: 1.2em;
}
}
